catalog.option.update
Rename or reposition a product option axis (e.g. “Cor” -> “Color”).
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.option.update(tenant credential) · MCP toolcatalog.option.update· SDKclient.call('catalog.option.update', …) - Events:
catalog.product.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "name": { "minLength": 1, "type": "string" }, "option_id": { "minLength": 1, "type": "string" }, "position": { "maximum": 9007199254740991, "minimum": 0, "type": "integer" } }, "required": [ "option_id" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this command does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)